# Run the docker installer before scripts
before_script:
- bash ci/docker_install.sh > /dev/null

# Define pipline stages
stages:
- test
- deploy

# We test PHP7.1
php-7.1:
  stage: test
  image: php:7.1
  only:
  - master
  script:
  - vendor/bin/phpunit --configuration phpunit.xml --coverage-text

# We test PHP7.2
php-7.2:
  stage: test
  image: php:7.2
  only:
  - master
  script:
  - vendor/bin/phpunit --configuration phpunit.xml --coverage-text
